@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@600&family=Taviraj:ital,wght@0,500;1,500&display=swap");
* {
  

  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif !important;
}
/* <!-------- HEADER OF THE WEBSITE --------> */


.navigation {
  position: fixed;
  width: 100%;
  height: 100px;
  z-index: 2;
}
.header {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100px;
  /* background: linear-gradient(to bottom right, #df3367,#00b3ff,#ff00dd); */
  /* background-image: linear-gradient(135deg, #b3ffab 10%, #12fff7 100%); */
  /* background-image: linear-gradient(135deg, #37ecba 10%, #72afd3 100%); */
  /* background-image: linear-gradient(135deg, #13547a 10%, #80d0c7 100%); */
  /* background-image: linear-gradient(135deg, #ffe259 10%, #ffa751 100%); */
  /* background-image: linear-gradient(135deg, #3C8CE7 10%, #00EAFF 100%); */
  /* background-image: linear-gradient(135deg, #FFA8A8 10%, #FCFF00 100%); */
  background-image: linear-gradient(135deg, #69ff97 10%, #00e4ff 100%);
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.16);
}
.logo {
  position: absolute;
  left: 50px;
}
.profile_icon {
  width: 60px;
  height: 60px;
  rotate: 8deg;
}

/* STYLISH TEXT  */
.profileTextContainer {
  position: absolute;
  left: 105px;
  display: flex;
  flex-direction: column;
  align-items: center;
  top: 30px;
}

.profileImage {
  width: 120px;
  color: inherit;
}

.profileText {
  font-size: 14px;
  font-style: italic;
  font-weight: 600;
  position: relative;
  bottom: 2px;
  right: 4px;
  color: rgb(28, 53, 59);
}

/* SEARCH BAR  */

.search_bar {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: 195px;
  margin: 0px 20px;
  font-size: 15px;
  height: 35px;
  z-index: 1;
}

.searchBar_input {
  outline: none;
  width: 20vw;
  height: 35px;
  border: solid #fff;
  border-radius: 3px;
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.16);
  padding-left: 5px;
}

.search_button {
  width: 30px;
  height: 100%;
  position: absolute;
  top: 0px;
  right: 0px;
  border: none;
  background-color: #000000c0;
}

.search_button:hover {
  cursor: pointer;
}
.search_button i {
  font-size: 20px;
  color: white;
}
/* login */
.login {
  text-decoration: none;
  position: absolute;
  right: 40px;
  width: 80px;
  height: 35px;
  background: #effeff;
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.16);
  border: 1px solid #ccc;
  border-radius: 6px;
  color: rgb(43, 47, 73);
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 600;
  cursor: pointer;
  z-index: 1;
  
  transition: 0.5s;
}
.login:hover {
  background: #dcdcdc;
  color: #1a1919;
  border: none;
}
.login i {
  position: relative;
  left: 5px;
}
.loginPageContnr {
  display: none;
  transition: 0.3s ease-in;
}
.loginPage {
  position: absolute;
  top: 160px;
  right: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(135deg, #fffeff7c 10%, #d7fffe8d 100%);
  width: 350px;
  height: 400px;
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.16);
  border-radius: 8px;
  /* transform: scale(0); */
  transition: height 0.2s ease;
}
.loginPage.activePopup {
  transform: scale(1);
}
.loginPage h2 {
  position: absolute;
  top: 40px;
  /* margin-bottom:20px ; */
}
.loginForm label {
  display: block;
  margin-bottom: 5px;
}

.loginForm input {
  width: 200px;
  padding: 5px;
  margin-bottom: 10px;
}

.loginForm input[type="submit"] {
  background-color: #333;
  color: #fff;
  /* padding: 10px; */
  border: none;
  cursor: pointer;
  width: 50px;
}
.loginPage div {
  position: relative;
  top: 20px;
}
.loginPage div h5 {
  cursor: pointer;
  color: #000000;
}
.loginPage div h5:hover {
  color: rgb(167, 47, 123);
  transition: 0.2s;
}
/* Register Page */
.registePagecontnr {
  display: none;
}
.registerPage {
  position: absolute;
  top: 160px;
  right: 60px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(135deg, #fffeff7c 10%, #d7fffe8d 100%);
  width: 350px;
  height: 400px;
  box-shadow: 0 1px 1px 0 rgba(0, 0, 0, 0.16);
  border-radius: 8px;
}
.registerPage h2 {
  position: absolute;
  top: 20px;
  /* margin-bottom:20px ; */
}
.registerForm label {
  display: block;
  margin-bottom: 5px;
}

.registerForm input {
  width: 200px;
  padding: 5px;
  margin-bottom: 10px;
}

.registerForm input[type="submit"] {
  background-color: #333;
  color: #fff;
  /* padding: 10px; */
  border: none;
  cursor: pointer;
  width: 70px;
}
/* nav Lists */
nav {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  /* box-shadow: 0 4px 6px rgba(0,0,0,0.1); */
}

nav ul {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60px;
  list-style: none;
  margin: 0;
  padding: 0;
}

nav li {
  margin: 0 10px;
}

nav a {
  text-decoration: none;
  color: rgb(43, 47, 73);
  font-size: 18px;
  font-weight: 600;
}

nav a:hover {
  color: #14244e;
}

.active {
  color: #f00;
}

main {
  margin-top: 80px;
  padding: 20px;
}

@media screen and (min-width:720px){
  .menu{
    display: none;
  }
}
@media screen and (max-width: 900px) {
  nav {
    display: none;
  }
}
/*  Munu Bar */

/* Each Div */
section {
  scroll-behavior: smooth;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #1f242d;
  /* font-size: 100px; */
  /* font-weight: 700; */
  color: white;
}
section:nth-child(odd) {
  background-color: #323946;
}
section img {
  width: 100%;
}
hr{
  color: #b7b7b77e;
}
/* --------------------- Footer --------------- */
footer {
  position: relative;
  background-image: linear-gradient(135deg, #434343 10%, #000000 100%);
  color: #fff;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding:50px;

}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.col-md-3 {
  width: calc(25% - 20px);
  margin-right: 20px;
}

h3 {
  font-size: 20px;
  margin-bottom: 20px;
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

li {
  margin-bottom: 10px;
}

a {
  color: #fff;
  text-decoration: none;
}

.social-icons {
  display: flex;
  margin-top: 20px;
}

.social-icons li {
  margin-right: 10px;
}

.social-icons li:last-child {
  margin-right: 0;
}

.fa-facebook {
  color: #155ffe;
}

.fa-twitter {
  color: #00c8ff;
}

.fa-instagram {
  color: #c13584;
}

.fa-youtube {
  color: #ff0000;
}
.credits {
  display: flex;
  flex-direction: column;
  gap: 8px;
  justify-content: start;
  padding: 20px;
  /* background: rgb(0, 184, 184); */
  background-image: linear-gradient(135deg, #007adf 10%, #00ecbc 100%);
}

.credits p a code{ 
  background-color: rgba(0, 0, 0, 0.384);
  padding: 5px;
  font-weight: 600;
  border-radius: 5px;
  color: #ffffff;
}
.toggleMenupage {
  display: none;
}
/* -------------Responsiveness------------- */
@media screen and (max-width: 720px) {
  .header {
    height: 65px;
  }
  .logo {
    width: 8%;
    left: 12px;
  }
  .profile_icon {
    width: 40px;
    height: 40px;
    rotate: 8deg;
  }

  /* STYLISH TEXT  */
  .profileTextContainer {
    width: 20%;
    left: 47px;
    top: 20px;
    box-sizing: border-box;
  }

  .profileImage {
    width: 90px;
  }

  .profileText {
    font-size: 10px;
    font-weight: 600;
  }
  /* SEARCH BAR  */

  .search_bar {
    right: 30px;
    font-size: 16px;
  }
  .searchBar_input {
    width: 50vw;
    height: 35px;
  }

  .menu {
    display: flex;
    align-items: center;
    position: absolute;
    right: 15px;
    cursor: pointer;
  }
  .menu i {
    font-size: 25px;
  }
  .menuicon {
    display: block;
  }
  .closeicon {
    display: none;
  }
  .newMicon {
    display: none;
  }
  .newCicon {
    display: block;
  }
  nav {
    display: none;
  }
  .toggleMenupage {
    position: fixed;
    top: 65px;
    left: -100%;
    height: 100vh;
    width: 100vw;
    padding: 30px;
    display: flex;
    /* align-items: center; */
    /* justify-content: center; */
    flex-direction: column;
    transition: all 0.5s ease;
    background-image: linear-gradient(135deg, #69ff97 10%, #00e4ff 100%);
    z-index: 2;
  }
  .tmplItems {
    padding: 5px 0px;
  }
  .tmplItemsLinks {
    
    text-decoration: none;
    color: #191919;
    font-size: 17px;
    font-weight: 500;
    font-family: sans-serif;
  }
  .tmplItemsLinks>svg{
    position: relative;
    top: 5px;
    padding: 2px;
  }
  .fa-caret-down {
    position: relative;
    left: 5px;
  }
  .dropdownUL {
    display: none;
    position: relative;
    margin: 10px 0px;
    background-color: #f7fffe;
    box-sizing: border-box;
    padding: 16px;
    border-radius: 10px;
    border: 1px solid #ccc;
    transition: 1s;
  }
  .activeDropdownUL {
    display: block;
  }
  .dropdownItems {
    color: #191919;
    font-size: 15px;
  }
  .searchForm {
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    width: 100%;
  }
  .searchInput {
    width: 70%;
    height: 35px;
    padding-left: 10px;
    border-radius: 5px;
    border: 1px solid #cccccc;
  }
  .searchButton {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 35px;
    width: 20%;
    margin-left: 5px;
    border-radius: 5px;
    border: none;
    background-color: #31312f;
    color: white;
  }

  .activeNav {
    left: 0px;
  }
  .login {
    display: none;
  }
  .newLogin {
    position: fixed;
    top: 10px;
    z-index: 5;
  }
  /* for Footer page style */
  .row {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .col-md-3 {
    width: 100%;
    padding: 20px 40px;
  }
  footer {
    position: relative;
  }
  .credits p a {
    background: none;
    font-weight: 600;
    border-radius: 5px;
    color: #191919;
    word-wrap: normal;
  }
  
}
